Register Contract Endpoints
post
{baseUrl}/v1/register
Registers contract endpoint templates. The Postman collection
contains two distinct POST /register requests using the same HTTP path: one
for the wholesale CBDC token/holdable contract and one for the account/ERC-5982/UUPS
contract. Both request variants are represented below as named examples.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectAdditional Properties Allowed:
trueRequest shape used by both POST /register variants in the Postman
collection.
Show Source
-
contractAddress: string
-
endpoints: array
endpoints
-
readConfigs: object
readConfigs
Additional Properties Allowed:
true -
writeConfigs: object
writeConfigs
Additional Properties Allowed:
true
Nested Schema : endpoints
Type:
Show Source
array-
Array of:
object items
Additional Properties Allowed:
true
Nested Schema : readConfigs
Type:
objectAdditional Properties Allowed:
Show Source
true-
blockTag: string
-
decode: object
decode
Additional Properties Allowed:
true
Nested Schema : writeConfigs
Type:
objectAdditional Properties Allowed:
Show Source
true-
decode: object
decode
Additional Properties Allowed:
true -
gasLimit: integer
(int64)
-
receiptMaxTries: integer
(int64)
-
receiptWaitMs: integer
(int64)
-
type: integer
(int64)
-
waitForReceipt: boolean
Nested Schema : items
Type:
objectAdditional Properties Allowed:
Show Source
true-
args: array
args
-
contractMethod: object
contractMethod
Additional Properties Allowed:
true -
generatePostmanApi: boolean
-
httpMethod: string
-
path: string
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Contract template registered successfully.
Nested Schema : RegisteredSchema
Type:
Show Source
object-
combinedApis(required): array
combinedApis
-
contractAddress(required): string
Pattern:
^0x[a-fA-F0-9]{40}$ -
endpoints(required): array
endpoints
-
readConfigs(required): object
readConfigs
Additional Properties Allowed:
true -
writeConfigs(required): object
writeConfigs
Additional Properties Allowed:
true
Nested Schema : combinedApis
Type:
Show Source
array-
Array of:
object items
Additional Properties Allowed:
true
Nested Schema : endpoints
Type:
Show Source
array-
Array of:
object items
Additional Properties Allowed:
true
Nested Schema : readConfigs
Type:
objectAdditional Properties Allowed:
trueNested Schema : writeConfigs
Type:
objectAdditional Properties Allowed:
trueNested Schema : items
Type:
objectAdditional Properties Allowed:
trueNested Schema : items
Type:
objectAdditional Properties Allowed:
true400 Response
The wrapper rejected the request before it could complete a downstream call.
401 Response
A valid Bearer token with a supported user claim is required.
415 Response
Content-Type must be application/json.
502 Response
The wrapper could not complete the downstream call.